#ifndef shell_xparthost_h
#define shell_xparthost_h

#include <tdemainwindow.h>
#include <tdeparts/mainwindow.h>
#include <kdebug.h>

class TDEProcess;

class ShellWindow : public KParts::MainWindow
{
    Q_OBJECT

public:
    ShellWindow();
    virtual ~ShellWindow();

public slots:
    void hop();

    void slotOpenUrl( const TQString &url );
    void mergeGUI();

private:
    XPartHost_KPart *m_host;
    TDEProcess *m_partProcess;
};

#endif
